MySQL Lists are EOL. Please join:

List:Commits« Previous MessageNext Message »
From:Timothy Smith Date:October 30 2009 10:20pm
Subject:bzr commit into mysql-5.0-bugteam branch (timothy.smith:2835) Bug#48086
View as plain text  
#At file:///home/tsmith/m/bzr/bugteam/b48031-50/ based on revid:timothy.smith@stripped

 2835 Timothy Smith	2009-10-30
      Bug#48086: mysql_secure_installation does NOT work on Solaris
      
      Remove a bash-ism (if ! ...).

    modified:
      scripts/mysql_secure_installation.sh
=== modified file 'scripts/mysql_secure_installation.sh'
--- a/scripts/mysql_secure_installation.sh	2009-10-30 22:13:49 +0000
+++ b/scripts/mysql_secure_installation.sh	2009-10-30 22:20:19 +0000
@@ -109,9 +109,7 @@ set_root_password() {
     if [ $? -eq 0 ]; then
 	echo "Password updated successfully!"
 	echo "Reloading privilege tables.."
-	if ! reload_privilege_tables; then
-	    exit 1
-	fi
+	reload_privilege_tables || exit 1
 	echo
 	rootpass=$password1
 	make_config


Attachment: [text/bzr-bundle] bzr/timothy.smith@sun.com-20091030222019-af8co33zzga00w4p.bundle
Thread
bzr commit into mysql-5.0-bugteam branch (timothy.smith:2835) Bug#48086Timothy Smith30 Oct